com.sun.syndication.feed.synd

## Interface SyndLink

All Known Implementing Classes:
  SyndLinkImpl

    public interface SyndLink

Represents a link or enclosure associated with entry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getHref()` Returns the link href.
`java.lang.String` `getHreflang()` Returns the hreflang
`long` `getLength()` Returns the length
`java.lang.String` `getRel()` Returns the link rel.
`java.lang.String` `getTitle()` Returns the link title.
`java.lang.String` `getType()` Returns the link type.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setHref(java.lang.String href)` Sets the link href.
`void` `setHreflang(java.lang.String hreflang)` Set the hreflang
`void` `setLength(long length)` Set the length
`void` `setRel(java.lang.String rel)` Sets the link rel.
`void` `setTitle(java.lang.String title)` Sets the link title.
`void` `setType(java.lang.String type)` Sets the link type.
`java.lang.String` `toString()` Returns the String representation for the object.

### Method Detail

#### clone

    java.lang.Object clone()
                    throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getRel

    java.lang.String getRel()

Returns the link rel.

Returns:
  the link rel, null if none.

#### setRel

    void setRel(java.lang.String rel)

Sets the link rel.

Parameters:
  `rel` - the link rel,, null if none.

#### getType

    java.lang.String getType()

Returns the link type.

Returns:
  the link type, null if none.

#### setType

    void setType(java.lang.String type)

Sets the link type.

Parameters:
  `type` - the link type, null if none.

#### getHref

    java.lang.String getHref()

Returns the link href.

Returns:
  the link href, null if none.

#### setHref

    void setHref(java.lang.String href)

Sets the link href.

Parameters:
  `href` - the link href, null if none.

#### getTitle

    java.lang.String getTitle()

Returns the link title.

Returns:
  the link title, null if none.

#### setTitle

    void setTitle(java.lang.String title)

Sets the link title.

Parameters:
  `title` - the link title, null if none.

#### getHreflang

    java.lang.String getHreflang()

Returns the hreflang

Returns:
  Returns the hreflang.

#### setHreflang

    void setHreflang(java.lang.String hreflang)

Set the hreflang

Parameters:
  `hreflang` - The hreflang to set.

#### getLength

    long getLength()

Returns the length

Returns:
  Returns the length.

#### setLength

    void setLength(long length)

Set the length

Parameters:
  `length` - The length to set.